This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 844672 - [eap6] security subsystem module-option processing is not working right. Loads options as flat string.
[eap6] security subsystem module-option processing is not working right. Load...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: JON 3.1.1
Assigned To: Simeon Pinder
Mike Foley
:
Depends On: 826542
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 06:57 EDT by Simeon Pinder
Modified: 2013-09-03 11:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 826542
Environment:
Last Closed: 2013-09-03 11:10:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2012-07-31 06:57:51 EDT
+++ This bug was initially created as a clone of Bug #826542 +++

Description of problem: 
For the security subystem, the module-options are how parameters are passed to the underlying classes that implement security.  Ex. UserRoles authentication needs both 'user.properties' and 'role.properties' defined as separate module-options.  The current implementation loads all existing module-options as a single string instead of a map which is not very readable(Ex. the LDAP module has 12 such module mappings).  However writing new properties back does not work either. 

This works well in the console now.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Use the AS7 console to add a Security Domain to the security subsystem and via Authentication add a 'Login Module' and 2 Module Option. Save. 
2. Using RHQ plugin if you browse the AS7 instance the Login Module is loaded correctly, but all Module Options are displayed as single string. 
3. Attempt to add a new property using same format that the other properties are in and hit save(Ex. [{username=test1},{username2=test2}]).
  
Actual results:
i)single string display
ii)updating new property fails with
{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=[JBAS014798: Validation failed for value, JBAS014746: code may not be null]}}, rolled-back=true 

Expected results:
i)better display
ii)update does not fail.

Additional info:

--- Additional comment from spinder@redhat.com on 2012-06-07 15:20:17 EDT ---

This JIRA is related to getting module-option processing support correct:
https://issues.jboss.org/browse/AS7-4951

--- Additional comment from ccrouch@redhat.com on 2012-06-11 10:50:15 EDT ---

Targeting for jon311, assuming associated AS7 issues are addressed.

--- Additional comment from spinder@redhat.com on 2012-06-19 09:35:35 EDT ---

The code changes to fix this issue are in 2918e9c7df1d792b2b91f.  Although I'll need to update the unit test.  I forgot it was in the commit squash. Moving this to ON_QA but will also put in the commit hash where the unit test will be enhanced to work or be disabled.

--- Additional comment from spinder@redhat.com on 2012-06-20 08:58:39 EDT ---

Here's the second commit (51d5d2537e1dc1) to disable the unit tests that will require more work to get running in master.
Comment 1 Simeon Pinder 2012-07-31 07:02:40 EDT
This is checked into release branch with commits:
cf0a92a0aa3fa
1095d809d84c4
moving this to MODIFIED for testing in next release version.
Comment 2 John Sanda 2012-08-02 14:52:18 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-06 10:07:40 EDT
verified under JON 3.1.1. ER1
Comment 4 Heiko W. Rupp 2013-09-03 11:10:03 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.